LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XUIElementSettings Interface Reference

provides functions to retrieve and change user interface element structure data and to update its visible representation. More...

`import"XUIElementSettings.idl";`

Inheritance diagram for XUIElementSettings:

## Public Member Functions
void | updateSettings ()
| forces the user interface element to retrieve new settings from its configuration source. More...
com::sun::star::container::XIndexAccess | getSettings ([in] boolean bWriteable)
| provides a UIElementSettings instance that provides access to the structure of user interface element if the user interface element type supports it. More...
void | setSettings ([in] com::sun::star::container::XIndexAccess UISettings)
| set changes to the structure of the user interface element. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functions to retrieve and change user interface element structure data and to update its visible representation.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getSettings()

com::sun::star::container::XIndexAccess getSettings | ( | [in] boolean | bWriteable | ) |

provides a UIElementSettings instance that provides access to the structure of user interface element if the user interface element type supports it.

Parameters

  bWriteable | must be `TRUE` if the retrieved settings should be a writable. Otherwise `FALSE` should be provided to get a shareable reference to the settings data.

Returns
  the current settings of the user interface element.

## ◆ setSettings()

void setSettings | ( | [in] com::sun::star::container::XIndexAccess | UISettings | ) |

set changes to the structure of the user interface element.

Parameters

  UISettings | new data settings for the configurable user interface element.

User interface elements cannot be changed directly. The changed structure data has to be set again. This speeds up the configuration process if many changes have to be made on the structure. The persistence of changes are controlled by the boolean property Persistent.

See also
  com::sun::star::ui::UIElementSettings

## ◆ updateSettings()

void updateSettings | ( |  | ) |

forces the user interface element to retrieve new settings from its configuration source.

This is not done automatically as configurable user interface elements are controlled by layout managers. It is more efficient to let the responsible layout manager to control the update process in a single task.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIElementSettings.idl